Skip to main content
GET
/
exchanges
/
{exchange_id}
CLI
curl --request GET \
--url 'https://api.coinpaprika.com/v1/exchanges/binance'
import requests

url = "https://api.coinpaprika.com/v1/exchanges/{exchange_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.coinpaprika.com/v1/exchanges/{exchange_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "binance",
  "name": "Binance",
  "type": [
    "cex",
    "spot"
  ],
  "active": true,
  "website_status": true,
  "api_status": true,
  "description": "Binance is a Malta-based cryptocurrency exchange founded in July 2017",
  "message": "Currently under maintenance",
  "links": {
    "website": [
      "https://www.binance.com/"
    ],
    "twitter": [
      "https://twitter.com/binance"
    ]
  },
  "markets_data_fetched": true,
  "adjusted_rank": 1,
  "reported_rank": 3,
  "currencies": 150,
  "markets": 385,
  "fiats": [
    {
      "name": "US Dollars",
      "symbol": "USD"
    }
  ],
  "quotes": {
    "$KEY": {
      "reported_volume_24h": 794020873,
      "adjusted_volume_24h": 794020873,
      "reported_volume_7d": 153060819,
      "adjusted_volume_7d": 153060819,
      "reported_volume_30d": 301246828,
      "adjusted_volume_30d": 301246828
    }
  },
  "last_updated": "2018-11-14T07:20:41Z"
}
{
"error": "id not found"
}
{
"error": "you have reached maximum request limit"
}

Path Parameters

exchange_id
string
required
Example:

"binance"

Query Parameters

quotes
string
default:USD

Comma separated list of quotes to return. Currently allowed values: BTC, ETH, USD, EUR, PLN, KRW, GBP, CAD, JPY, RUB, TRY, NZD, AUD, CHF, UAH, HKD, SGD, NGN, PHP, MXN, BRL, THB, CLP, CNY, CZK, DKK, HUF, IDR, ILS, INR, MYR, NOK, PKR, SEK, TWD, ZAR, VND, BOB, COP, PEN, ARS, ISK

Example:

"USD,BTC"

Response

successful operation

id
string
Example:

"binance"

name
string
Example:

"Binance"

type
enum<string>[]

Exchange type classification. Determined by centralization status (cex, dex, other) and default market category (spot, perpetuals, otc).

Available options:
cex,
dex,
perpetuals,
spot,
otc,
other
Example:
["cex", "spot"]
active
boolean
Example:

true

website_status
boolean
Example:

true

api_status
boolean
Example:

true

description
string | null
Example:

"Binance is a Malta-based cryptocurrency exchange founded in July 2017"

message
string
Example:

"Currently under maintenance"

markets_data_fetched
boolean
Example:

true

adjusted_rank
integer
Example:

1

reported_rank
integer
Example:

3

currencies
integer
Example:

150

markets
integer
Example:

385

fiats
object[]
Example:
[{ "name": "US Dollars", "symbol": "USD" }]
quotes
object
last_updated
string
Example:

"2018-11-14T07:20:41Z"